Subject: [os2genau_digest] No. 1550
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Fri, 14 Sep 2007 00:01:02 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Thursday 13 September 2007
 Number  1550
**************************************************

Subjects for today
 
1  Re:  USB printer woes: printer jammed claim : Ed Durrant <edurrant at virginbroadband dot com dot au>
2  Re:  USB printer woes: printer jammed claim : Voytek Eymont" <voytek at sbt dot net dot au>
3  Re:  USB printer woes: printer jammed claim : Ed Durrant <edurrant at virginbroadband dot com dot au>
4  Re:  USB printer woes: printer jammed claim : brianb at kdfisher dot com dot au
5   Configured SETTINGS for all of Australia for Settime2 (was Clock problems) : Mike O'Connor <mikeoc at internode.on dot net>
6   Logical volume management : Kev <kdownes at tpg dot com dot au>
7  Re:  Clock problems : Peter Moylan <peter at pmoylan dot org>
8  Re:  Configured SETTINGS for all of Australia for Settime2 (was Clock problems) : Peter L Allen" <allenpl at tastelfibre dot com dot au>

**= Email   1 ==========================**

Date:  Thu, 13 Sep 2007 07:56:14 +1000
From:  Ed Durrant <edurrant at virginbroadband dot com dot au>
Subject:  Re:  USB printer woes: printer jammed claim

Voytek Eymont wrote:
>
>
> yes, windoze is connected from/to LPT, OS/2 on USB (2 PCs to single printer)
> (poor man's print sharer)
>
> windoze printing through LPT works
>
> after a reboot of OS/2 (power failure) it started printing, then, next
> time, some days later, reports 'jammed'
>
> I probably should hook OS/2 to LPT and, windoze to USB...
>
>
>   
If, as I thought, this is a real hardware problem, I would have expected 
the same error message from the LPT port as from the USB port. This 
suggests I was wrong in my direction of thought and in fact this is OS/2 
specific. Another thing to try - do you have a different USB port 
(ideally off a different USB controller chip) that you could  connect 
the printer to ? Given that you had a power failure, it is also possible 
that the USB controller was damaged on the PC - or possibly in the 
printer. Switching the Windoze box to USB printer connection will prove 
whether or not the USB port on the printer is damaged. I would more 
suspect the USB controller on the OS/2 systems motherboard however. 
Perhaps you have another USB device you can plug in (e.g. memory key) to 
check that ?

Cheers/2

Ed.

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Thu, 13 Sep 2007 10:59:26 +1000 (EST)
From:  "Voytek Eymont" <voytek at sbt dot net dot au>
Subject:  Re:  USB printer woes: printer jammed claim

<quote who="Ed Durrant">
> Voytek Eymont wrote:
>
>>
>>
>> yes, windoze is connected from/to LPT, OS/2 on USB (2 PCs to single
>> printer) (poor man's print sharer)
>>
>>
>> windoze printing through LPT works
>>
>> after a reboot of OS/2 (power failure) it started printing, then, next
>> time, some days later, reports 'jammed'
>>
>> I probably should hook OS/2 to LPT and, windoze to USB...
>>
>>
>>
>>
> If, as I thought, this is a real hardware problem, I would have expected
> the same error message from the LPT port as from the USB port. This
> suggests I was wrong in my direction of thought and in fact this is OS/2
> specific. Another thing to try - do you have a different USB port (ideally
> off a different USB controller chip) that you could  connect the printer
> to ? Given that you had a power failure, it is also possible that the USB
> controller was damaged on the PC - or possibly in the printer. Switching
> the Windoze box to USB printer connection will prove whether or not the
> USB port on the printer is damaged. I would more
> suspect the USB controller on the OS/2 systems motherboard however. Perhaps
> you have another USB device you can plug in (e.g. memory key) to check
> that ?

Ed,

this is an ogoing problem...

when I first installed, it worked, in the time since, I've had 2... maybe
3 power failure, after each power failure (or, a reboot) OS/2 prints,
then, some time later, it won't...

(I don't oftne print from it, only, faxes, mainly, that I retrieve from my
office fax (isn't PMfax wonderfull?))

I think, simplest solution will be put OS/2 on LPT and doze on USB....

-- 
Voytek

----------------------------------------------------------------------------------
 
**= Email   3 ==========================**

Date:  Thu, 13 Sep 2007 11:18:53 +1000
From:  Ed Durrant <edurrant at virginbroadband dot com dot au>
Subject:  Re:  USB printer woes: printer jammed claim

Voytek Eymont wrote:
> <quote who="Ed Durrant">
>   
>> Voytek Eymont wrote:
>>
>>     
>>> yes, windoze is connected from/to LPT, OS/2 on USB (2 PCs to single
>>> printer) (poor man's print sharer)
>>>
>>>
>>> windoze printing through LPT works
>>>
>>> after a reboot of OS/2 (power failure) it started printing, then, next
>>> time, some days later, reports 'jammed'
>>>
>>> I probably should hook OS/2 to LPT and, windoze to USB...
>>>
>>>
>>>
>>>
>>>       
>> If, as I thought, this is a real hardware problem, I would have expected
>> the same error message from the LPT port as from the USB port. This
>> suggests I was wrong in my direction of thought and in fact this is OS/2
>> specific. Another thing to try - do you have a different USB port (ideally
>> off a different USB controller chip) that you could  connect the printer
>> to ? Given that you had a power failure, it is also possible that the USB
>> controller was damaged on the PC - or possibly in the printer. Switching
>> the Windoze box to USB printer connection will prove whether or not the
>> USB port on the printer is damaged. I would more
>> suspect the USB controller on the OS/2 systems motherboard however. Perhaps
>> you have another USB device you can plug in (e.g. memory key) to check
>> that ?
>>     
>
>
> Ed,
>
> this is an ogoing problem...
>
> when I first installed, it worked, in the time since, I've had 2... maybe
> 3 power failure, after each power failure (or, a reboot) OS/2 prints,
> then, some time later, it won't...
>
> (I don't oftne print from it, only, faxes, mainly, that I retrieve from my
> office fax (isn't PMfax wonderfull?))
>
> I think, simplest solution will be put OS/2 on LPT and doze on USB....
>
>
>
>   
I agree - always go for the simple solution if posible. I don't 
understand why printing works for a time and then stops however. It 
sounds almost as if something heats up and stops working. If you have 
another USB printer cable handy, you could change that out, incase the 
problem is in the cable (it has been known).

Cheers/2

Ed.
----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Thu, 13 Sep 2007 11:04:41 +0930
From:  brianb at kdfisher dot com dot au
Subject:  Re:  USB printer woes: printer jammed claim

Voytek and Ed,
Could be a memory leak in the printer driver.

-----------------------------------------
Brian Butler
System Administrator
brianb at kdfisher dot com dot au

                                                                                                                                                  
                      Ed Durrant                                                                                                                  
                      <edurrant at virginbroadb        To:       os2genau at os2 dot org dot au                                                                 
                      and dot com dot au>                   cc:                                                                                           
                                                    Subject:  Re:  USB printer woes: printer jammed claim                               
                      13/09/2007 10:48                                                                                                            
                      Please respond to                                                                                                           
                      os2genau                                                                                                                    

Voytek Eymont wrote:
> <quote who="Ed Durrant">
>
>> Voytek Eymont wrote:
>>
>>
>>> yes, windoze is connected from/to LPT, OS/2 on USB (2 PCs to single
>>> printer) (poor man's print sharer)
>>>
>>>
>>> windoze printing through LPT works
>>>
>>> after a reboot of OS/2 (power failure) it started printing, then, next
>>> time, some days later, reports 'jammed'
>>>
>>> I probably should hook OS/2 to LPT and, windoze to USB...
>>>
>>>
>>>
>>>
>>>
>> If, as I thought, this is a real hardware problem, I would have expected
>> the same error message from the LPT port as from the USB port. This
>> suggests I was wrong in my direction of thought and in fact this is OS/2
>> specific. Another thing to try - do you have a different USB port
(ideally
>> off a different USB controller chip) that you could  connect the printer
>> to ? Given that you had a power failure, it is also possible that the
USB
>> controller was damaged on the PC - or possibly in the printer. Switching
>> the Windoze box to USB printer connection will prove whether or not the
>> USB port on the printer is damaged. I would more
>> suspect the USB controller on the OS/2 systems motherboard however.
Perhaps
>> you have another USB device you can plug in (e.g. memory key) to check
>> that ?
>>
>
>
> Ed,
>
> this is an ogoing problem...
>
> when I first installed, it worked, in the time since, I've had 2... maybe
> 3 power failure, after each power failure (or, a reboot) OS/2 prints,
> then, some time later, it won't...
>
> (I don't oftne print from it, only, faxes, mainly, that I retrieve from
my
> office fax (isn't PMfax wonderfull?))
>
> I think, simplest solution will be put OS/2 on LPT and doze on USB....
>
>
>
>
I agree - always go for the simple solution if posible. I don't
understand why printing works for a time and then stops however. It
sounds almost as if something heats up and stops working. If you have
another USB printer cable handy, you could change that out, incase the
problem is in the cable (it has been known).

Cheers/2

Ed.
----------------------------------------------------------------------------------

----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Thu, 13 Sep 2007 16:40:10 +1000
From:  Mike O'Connor <mikeoc at internode.on dot net>
Subject:   Configured SETTINGS for all of Australia for Settime2 (was Clock problems)

Alan Duval wrote:
> Mike O'Connor wrote:
>> Alan Duval wrote:
>>> Mike O'Connor wrote:
>>>> Alan Duval wrote:
>>>>> Hi,
>>>>>
>>>>> Over the last couple of weeks the time on my computer has been 
>>>>> altering by a couple of hours and I have to reset it but then 
>>>>> after a day or two the same thing happens. I haven't altered 
>>>>> anything so why should this happen?
>>>>>
>>>>> Regards,
>>>>>
>>>>> Alan Duval
>>>> Hi Alan,
>>>>
>>>> Haven't a clue - but why not just get settime.zip from hobbes and 
>>>> always have correctly synchronized time - and be able to use 
>>>> AEST/AEDT with full 4-character mnemonics in your SET TZ string!
>>>> you can synch it at whatever daily frequency you want - via a 
>>>> simple ASCII initialisation file, and choose whatever time-server 
>>>> you want - I just use time-a.nist.gov!
>>>>
>>>> Regards,
>>>> Mike
>>> Thanks Mike, Voytek, Ken & The Barrows  for the suggestions. If this 
>>> keeps happening I will follow Mikes suggestion but if that doesn't 
>>> work I will check whether my MB has a battery that needs changing.
>>>
>>> Regards,
>>>
>>> Alan
>> Alan,
>>
>> I'd strongly suggest to just go ahead and use settime.exe - even if 
>> you have a bad battery [or like me probably have damaged traces on 
>> the motherboard], it keeps the time constant - even if it has to 
>> start with a CMOS-RTC supplied value of 1980-01-01!
>> that saves any worries and your e-mail timestamps are always correct!
>>
>> Regards,
>> Mike
> Hi  Mike,
>
> I've downloaded SetTime2 and installed it in D:\SetTime. Then I 
> removed the checks  for "enable change of clocks" & "automatically 
> modify config.sys".
> Next I REM'd the line  "Set TZ=AEST-10AEDT, 10, -1, 0, 7200, 3, -1, 0, 
> 7200, 3600" in my config.sys  and  typed a new line  "SET TZ=AEST and 
> saved that.
> >From a command line I ran settime and the time was set.
> Have I done everything properly and does Settime run automatically now?
>
> Regards,
>
> Alan
Hi Alan,

Obviously from the fact that your message I'm replying to shows up in my
Inbox as originated by you at Date: Thurs, 13 Sep 2007 01:03AM, whereas
it actually arrived here at 3:05PM of Weds, 12 Sep - which means that
you _didn't change_ any of the default _US_ values in the settime.ini,
all of which are fully detailed within that settime.ini (it's all
plain-text), so that they were appropriate for your location!

This actually means that your system clock shows the correct (AEDT) time
and date, but because the changes weren't made, the system thinks it is
on UTC timezone, hence the following line in your last headers with the
offset at the end of 0000 from UTC:

Date: Wed, 12 Sep 2007 15:03:54 +0000

which only really occurred just under 3 hours ago, as I write this!

As soon as you change your settime.ini to agree with what's shown below
- the next time you run it - you'll have your clock and calendar set
correctly!

Personally I don't observe ADST here**, and consequently _my_ setting is
just SET TZ=AEST-10, (or just =AEST), but if you're in Sydney or
Melbourne for example you'd need SET TZ=AEST-10AEDT, so applications can
recognize it, but you can pre-configure the start/end period and amount
of DST offset, as well as your actual offset from UTC, using the entries
in settime.ini.

You need to open it with your favourite editor (e.exe? epm.exe?), and
change the default lines as follows:

{Initial (default) values in settime.ini are as follows:}

___________(basically for built-in US defaults!)_______________

Server: time.nist.gov                 ; NCAR, Boulder, Colorado
Add-to-GMT:
DST:
DST-Start:
DST-End:
Period: 1
Verbose: 1
___________________________________________________________

Following are correctly configured values for all States/Territories in
Australia.

All set to synch just once per day (Period:0) and display: program
signature,
one line for each update event + fatal errors + protocol details (Verbose:1)
___________________________________________________________

BRISBANE (all QLD) {SET TZ = AEST}
________________________________________________

Server: time.nist.gov                 ; NCAR, Boulder, Colorado
Add-to-GMT:600
DST:0
DST-Start:10 -1
DST-End:3 -1
Period: 0
Verbose: 1
_____________ Alan, YOU should use the values BELOW**** ________________

SYDNEY (all NSW & ACT) {SET TZ=AEST-10AEDT}
MELBOURNE (all VIC) {SET TZ=AEST-10AEDT}
________________________________________________

Server: time.nist.gov                 ; NCAR, Boulder, Colorado
Add-to-GMT:600
DST:1
DST-Start:10 -1
DST-End:3 -1
Period: 0
Verbose: 1
_______________________________________________

HOBART(all TAS) {SET TZ=AEST-10AEDT}

Peter Allen - maybe you could update the Tasmanian
Start/Finish dates for DST - I know if starts earlier, but
unsure about the extension on finish date - compared
to the mainland!
_______________________________________________

Server: time.nist.gov                 ; NCAR, Boulder, Colorado
Add-to-GMT:600
DST:1
DST-Start:10 -1
DST-End:3 -1
Period: 0
Verbose: 1
________________________________________________

ADELAIDE(all SA) {SET TZ=ACST-10ACDT}
________________________________________________

Server: time.nist.gov                 ; NCAR, Boulder, Colorado
Add-to-GMT:570
DST:1
DST-Start:10 -1
DST-End:3 -1
Period: 0
Verbose: 1
________________________________________________

DARWIN(all NT) {SET TZ=ACST-09:30}
________________________________________________

Server: time.nist.gov                 ; NCAR, Boulder, Colorado
Add-to-GMT:570
DST:0
DST-Start:10 -1
DST-End:3 -1
Period: 0
Verbose: 1
________________________________________________

PERTH(all of WA**) {SET TZ = AWST-8AWDT}
________________________________________________

Server: time.nist.gov                 ; NCAR, Boulder, Colorado***
Add-to-GMT:480
DST:1
DST-Start:10 -1
DST-End:3 -1
Period: 0
Verbose: 1
_____________________________________________________________________________________

** DST start as in a "normal" year [Initial (Trial!) DST period for WA
commenced December 2006]
_____________________________________________________________________________________

*** or select whatever time-server you prefer that provides the DAYTIME
service [all in included list do so]
_____________________________________________________________________________________

****
For Alan, try with "Period:" set to Period:1, which will synch every hour.
IF clock maintains time OK you can then set it to "Period:0", to just synch
once per day/session. The settime.log will show up any variation greater
than one
second - just scan for e.g. "Server Time: Sat Aug 11 15:35:57 2007 ", and
compare the minutes:seconds values with those on the previous line - note
that the server time is always in UTC(GMT), so the date at times will vary
from yours, depending on the time of day that synch was done.
Just put a program-object for settime.exe in your "Startup Folder", or
better
still add it to your <bootdrive>:\startup.cmd as "<path to
settime.exe>\settime".
If you don't currently have a \startup.cmd, drag a "Command File.CMD" out
of your Templates and rename it startup.cmd - open it as "Text Editor" and
add that line to it, then drag to your bootdrive-root. That way it will be
finished before your desktop is up and available! Either way create a
Program
Object for settime.exe [TimeSET?] - pick some nice "Clock-icon" for it!

With Period:0 you can synch every time you click on that TimeSET object!
_________________________________________________________

Notes about "Period:#" -  (summary) how often to synch with time-server
_________________________________________________________

Period:      same as Period:0 or ";Period:"
Period:0   synch once per day/session/on-demand
Period:1   synch every hour
Period:#   synch every # hours (# between 1 and 12?)
_________________________________________

notes about "Verbose:#
___________________

Verbose:0 = events,errors
Verbose:1 = same plus protocols
Verbose:2 = all of previous plus debug dump of I/O

(there is plenty more information in the readme.txt in settime2.zip)

** a couple of km South of Coolangatta, Qld., (my offspring still live
across the border), and I also like to watch the 6 O'Clock main TV news
at 18:00, not 19:00, virtually all channels broadcast from Qld. In
addition I dislike having to change all the damn clocks twice a year!

Regards,
Mike

P.S.I hadn't checked on hobbes in a while and didn't realise it was now
packaged there as settime2!

----------------------------------------------------------------------------------

**= Email   6 ==========================**

Date:  Thu, 13 Sep 2007 17:18:53 +0800
From:  Kev <kdownes at tpg dot com dot au>
Subject:   Logical volume management

This might be of some interest to members on this list.  I know it's 
more about Linux, but much of the info is generic, and therefore 
probably of interest to eCS users.

http://www.ibm dot com/developerworks/linux/library/l-lvm2/index.html?S_TACT=105AGX03&S_CMP=EDU

-- 
=========================
Kev Downes
kdownes at tpg dot com dot au  ph 0404 7 0808 2
We used to use and recommend Xandros but they went to the dark side
So we'll soon be using and recommending Debian Etch
=========================
There are 10 types of people ...
   ... those who understand binary, and those who don't!
=========================
They say a marble sized object collided with some gasses, and had
a massive explosion and the universe was born.
   - to believe this takes more faith than I have.
=========================

----------------------------------------------------------------------------------

**= Email   7 ==========================**

Date:  Thu, 13 Sep 2007 22:31:30 +1000
From:  Peter Moylan <peter at pmoylan dot org>
Subject:  Re:  Clock problems

On 11/09/07 17:56, Alan Duval wrote:
> Hi,
> 
> Over the last couple of weeks the time on my computer has been 
> altering by a couple of hours and I have to reset it but then after a
>  day or two the same thing happens. I haven't altered anything so why
>  should this happen?

Obsolete time zone settings? There was one year when Australia (or maybe
only some states) started daylight saving earlier because of an OPEC
conference in Austria or some such reason. If you still have the
settings from that year, you could have jumped into summer time prematurely.

If you're running eCSClock, look on the "Location" page of the Clock
settings to see what it says about the next start of summer time. If
instead you're using software that relies on the TZ environment
variable, check the SET TZ in CONFIG.SYS to see whether you have the
right start date for summer time. By the way, if you're using any such
software to set your clock, download a copy of
<ftp://ftp.pmoylan dot org/software/tzset03.zip> which will copy the time
zone from the TZ environment variable to the OS/2 internal record of the
time zone. Versions of OS/2 prior to eCS, and for that matter early
versions of eCS, do not set the time zone centrally but rely on
individual applications each parsing the TZ variable - and most don't
because it's too much bother.

Having said that, I should also add that a summer time error should only
put you one hour out, not two. To get a two-hour error you need to have
moved in the east-west direction.

There used to be a Windows bug where a daylight saving adjustment was
applied redundantly. This affect mainly those people who booted between
operating systems. For a different reason (not a bug but a feature!)
dual-booting between OS/2 and Linux can mess up your clock. The
universal solution to that sort of problem is to use one of the many
programs that synchronise with a network time server. (But don't use
them if you're running eCS, because the eCS clock already does this.)

-- 
Peter Moylan                          peter at pmoylan dot org
                                       http://www.pmoylan dot org

Please note that my e-mail address has changed yet again.
Some of my older addresses still work, but it is not certain
when they will be phased out.
----------------------------------------------------------------------------------

**= Email   8 ==========================**

Date:  Thu, 13 Sep 2007 22:53:24 +1000 (EST)
From:  "Peter L Allen" <allenpl at tastelfibre dot com dot au>
Subject:  Re:  Configured SETTINGS for all of Australia for Settime2 (was Clock problems)

snip

>
>HOBART(all TAS) {SET TZ=AEST-10AEDT}
>
>Peter Allen - maybe you could update the Tasmanian
>Start/Finish dates for DST - I know if starts earlier, but
>unsure about the extension on finish date - compared
>to the mainland!
>_______________________________________________
>
>Server: time.nist.gov                 ; NCAR, Boulder, Colorado
>Add-to-GMT:600
>DST:1
>DST-Start:10 -1
>DST-End:3 -1
>Period: 0
>Verbose: 1

Ugh - err?  that's me!  Yew tawkin to me? 

Mike,
	TAS starts first Sun Oct, Vic, NSW and ACT have got with the program re 
ending last Sun Mar.
	So the TAS settings would be ????

DST-Start:10 1
DST-End:3 -1

I'll play with it tomorrow - actually time868 which I've used for some years seemed to 
break quite a while back. Naturally I'd done nothing about this!

A little OT, but the best clock around here is in a Sharp microwave - was set at end of 
DST, checked it tonight against the GPS - after 6 months, 3 secs out.
Why are PC's such lousey time keepers? More like 3 sec/day!

		Regards & thanks to all for the input re routers etal,

					allenpl

----------------------------------------------------------------------------------